cascading.stats.tez

## Class TezCounterCache<JobStatus>

- java.lang.Object
- - cascading.stats.CounterCache<Configuration,JobStatus,org.apache.tez.common.counters.TezCounters>
  - - cascading.stats.tez.TezCounterCache<JobStatus>

    public abstract class TezCounterCache<JobStatus>
    extends CounterCache<Configuration,JobStatus,org.apache.tez.common.counters.TezCounters>

### Field Summary

### Fields inherited from class cascading.stats.CounterCache

`configuration, COUNTER_FETCH_RETRIES_PROPERTY, COUNTER_MAX_AGE_PROPERTY, COUNTER_TIMEOUT_PROPERTY, DEFAULT_CACHED_AGE_MAX, DEFAULT_FETCH_RETRIES, DEFAULT_NODE_CACHED_AGE_MAX, DEFAULT_TIMEOUT_TIMEOUT_SEC, fetchAttempts, maxAge, maxFetchAttempts, NODE_COUNTER_MAX_AGE_PROPERTY, timeout`

### Constructor Summary

Constructors
`protected` `TezCounterCache(CascadingStats stats, Configuration configuration)`

### Method Summary

Methods
`protected boolean` `areCountersAvailable(JobStatus runningJob)`
`protected java.util.Set<java.lang.String>` `getCountersFor(org.apache.tez.common.counters.TezCounters counterGroups, java.lang.String group)`
`protected long` `getCounterValue(org.apache.tez.common.counters.TezCounters counterGroups, java.lang.Enum counter)`
`protected long` `getCounterValue(org.apache.tez.common.counters.TezCounters counterGroups, java.lang.String groupName, java.lang.String counterName)`
`protected java.util.Collection<java.lang.String>` `getGroupNames(org.apache.tez.common.counters.TezCounters counterGroups)`
`protected int` `getIntProperty(java.lang.String property, int defaultValue)`

### Methods inherited from class cascading.stats.CounterCache

`cachedCounters, cachedCounters, getCounterGroups, getCounterGroupsMatching, getCounters, getCountersFor, getCounterValue, getCounterValue, getJobStatusClient, getLastSuccessfulFetch`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TezCounterCache

    protected TezCounterCache(CascadingStats stats,
                   Configuration configuration)

### Method Detail

#### areCountersAvailable

    protected boolean areCountersAvailable(JobStatus runningJob)

Specified by:
  `areCountersAvailable` in class `CounterCache<Configuration,JobStatus,org.apache.tez.common.counters.TezCounters>`

#### getGroupNames

    protected java.util.Collection<java.lang.String> getGroupNames(org.apache.tez.common.counters.TezCounters counterGroups)

Specified by:
  `getGroupNames` in class `CounterCache<Configuration,JobStatus,org.apache.tez.common.counters.TezCounters>`

#### getCountersFor

    protected java.util.Set<java.lang.String> getCountersFor(org.apache.tez.common.counters.TezCounters counterGroups,
                                                 java.lang.String group)

Specified by:
  `getCountersFor` in class `CounterCache<Configuration,JobStatus,org.apache.tez.common.counters.TezCounters>`

#### getCounterValue

    protected long getCounterValue(org.apache.tez.common.counters.TezCounters counterGroups,
                       java.lang.Enum counter)

Specified by:
  `getCounterValue` in class `CounterCache<Configuration,JobStatus,org.apache.tez.common.counters.TezCounters>`

#### getCounterValue

    protected long getCounterValue(org.apache.tez.common.counters.TezCounters counterGroups,
                       java.lang.String groupName,
                       java.lang.String counterName)

Specified by:
  `getCounterValue` in class `CounterCache<Configuration,JobStatus,org.apache.tez.common.counters.TezCounters>`

#### getIntProperty

    protected int getIntProperty(java.lang.String property,
                     int defaultValue)

Specified by:
  `getIntProperty` in class `CounterCache<Configuration,JobStatus,org.apache.tez.common.counters.TezCounters>`